Bug 215196 - yum check-update fails after upgrading fc5>fc6
yum check-update fails after upgrading fc5>fc6
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 04:26 EST by cornel panceac
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 23:08:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2006-11-12 04:26:10 EST
Description of problem:

after upgrading from fedora core 5 to fedora core 6, yum check-update fails.

Version-Release number of selected component (if applicable):

yum-3.0.6

How reproducible:

run
yum check-update


Steps to Reproduce:
1.run yum-check-update
2.
3.
  
Actual results:

yum exits with error described below.

Expected results:

yum lists the available updates


Additional info:

the output is:

# yum check-update
Loading "installonlyn" plugin
Plugin "fastestmirror" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "fastestmirror" plugin
Setting up repositories
Loading mirror speeds from cached hostfile
Traceback (most recent call last):
 File "/usr/bin/yum", line 29, in ?
   yummain.main(sys.argv[1:])
 File "/usr/share/yum-cli/yummain.py", line 102, in main
   result, resultmsgs = do()
 File "/usr/share/yum-cli/cli.py", line 359, in doCommands
   return self.yum_cli_commands[self.basecmd].doCommand(self,
self.basecmd, self.extcmds)
 File "/usr/share/yum-cli/yumcommands.py", line 317, in doCommand
   ypl = base.returnPkgLists(extcmds)
 File "/usr/share/yum-cli/cli.py", line 851, in returnPkgLists
   ypl = self.doPackageLists(pkgnarrow=pkgnarrow)
 File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 988,
in doPackageLists
   self.doRepoSetup()
 File "/usr/share/yum-cli/cli.py", line 102, in doRepoSetup
   yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
 File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 306,
in doRepoSetup
   self.plugins.run('postreposetup')
 File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 153, in run
   func(conduitcls(self, self.base, conf, **kwargs))
 File "/usr/lib/yum-plugins/fastestmirror.py", line 77, in postreposetup_hook
   repo.set('urls', repomirrors[str(repo)])
AttributeError: 'YumRepository' object has no attribute 'set'

the fix was:
rpm --erase yum-fastestmirror
Comment 1 Jeremy Katz 2006-11-15 23:08:31 EST
You also need to upgrade plugins

Note You need to log in before you can comment on or make changes to this bug.